Index: src/mainboard/amd/serengeti_cheetah/cache_as_ram_auto.c
===================================================================
--- src/mainboard/amd/serengeti_cheetah/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/amd/serengeti_cheetah/cache_as_ram_auto.c	(working copy)
@@ -105,14 +105,14 @@
 {
 #define SMBUS_HUB 0x18
         int ret, i;
-        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\r\n");
+        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\n");
         i=2;
         do {
                 ret = smbus_write_byte(SMBUS_HUB, 0x01, device);
-                print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\r\n");
+                print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\n");
         } while ((ret!=0) && (i-->0));
         ret = smbus_write_byte(SMBUS_HUB, 0x03, 0);
-        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\r\n");
+        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\n");
 }
 #endif
 
@@ -276,7 +276,7 @@
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
         setup_mb_resource_map();
 #if 0
@@ -284,7 +284,7 @@
 	dump_pci_device(PCI_DEV(0, 0x19, 0));
 #endif
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
         set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram 
@@ -321,7 +321,7 @@
 		/* Read FIDVID_STATUS */
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+                print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
         }
 
@@ -335,7 +335,7 @@
         {
                 msr_t msr;
                 msr=rdmsr(0xc0010042);
-                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n"); 
+                print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n"); 
 
         }
 
@@ -351,7 +351,7 @@
 
         // fidvid change will issue one LDTSTOP and the HT change will be effective too
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset_x(sysinfo->sbbusn, sysinfo->sbdn);
         }
 #endif
Index: src/mainboard/amd/serengeti_cheetah/apc_auto.c
===================================================================
--- src/mainboard/amd/serengeti_cheetah/apc_auto.c	(revision 3942)
+++ src/mainboard/amd/serengeti_cheetah/apc_auto.c	(working copy)
@@ -76,7 +76,7 @@
 #if CONFIG_USE_PRINTK_IN_CAR
         printk_debug("CODE IN CACHE ON NODE: %02x\n");
 #else
-        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+        print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 #endif
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
Index: src/mainboard/pcengines/alix1c/cache_as_ram_auto.c
===================================================================
--- src/mainboard/pcengines/alix1c/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/pcengines/alix1c/cache_as_ram_auto.c	(working copy)
@@ -100,7 +100,7 @@
 	print_debug_hex8(address);
 	print_debug(" returns ");
 	print_debug_hex8(spdbytes[address]);
-	print_debug("\r\n");
+	print_debug("\n");
 
 	return spdbytes[address];
 }
Index: src/mainboard/tyan/s2912/apc_auto.c
===================================================================
--- src/mainboard/tyan/s2912/apc_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2912/apc_auto.c	(working copy)
@@ -83,7 +83,7 @@
 	id = get_node_core_id_x();
 
 	//FIXME: for USBDEBUG_DIRECT you need to make sure dbg_info get assigned in AP
-	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/tyan/s2912/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2912/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2912/cache_as_ram_auto.c	(working copy)
@@ -286,9 +286,9 @@
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\n");
 
-	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
+	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
 #if MEM_TRAIN_SEQ == 1
 	set_sysinfo_in_ram(0); // in BSP so could hold all ap until sysinfo is in ram
@@ -314,7 +314,7 @@
 	{
 		msr_t msr;
 		msr=rdmsr(0xc0010042);
-		print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+		print_debug("begin msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
 	}
 
@@ -328,7 +328,7 @@
 	{
 		msr_t msr;
 		msr=rdmsr(0xc0010042);
-		print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\r\n");
+		print_debug("end   msr fid, vid "); print_debug_hex32( msr.hi ); print_debug_hex32(msr.lo); print_debug("\n");
 
 	}
 #endif
@@ -339,7 +339,7 @@
 
 	// fidvid change will issue one LDTSTOP and the HT change will be effective too
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 	      	soft_reset();
 	}
 
Index: src/mainboard/tyan/s2850/auto.c
===================================================================
--- src/mainboard/tyan/s2850/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2850/auto.c	(working copy)
@@ -192,7 +192,7 @@
 #endif
 	needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 	enable_smbus();
Index: src/mainboard/tyan/s2850/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2850/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2850/cache_as_ram_auto.c	(working copy)
@@ -200,7 +200,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2735/auto.c
===================================================================
--- src/mainboard/tyan/s2735/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2735/auto.c	(working copy)
@@ -128,7 +128,7 @@
 	print_debug("TOP_MEM2: ");
 	print_debug_hex32(msr.hi);
 	print_debug_hex32(msr.lo);
-	print_debug("\r\n");
+	print_debug("\n");
 #endif
 
 #if 0
Index: src/mainboard/tyan/s2735/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2735/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2735/cache_as_ram_auto.c	(working copy)
@@ -193,9 +193,9 @@
 	                : "=a" (v_esp)
 	        );
 #if CONFIG_USE_INIT
-	        printk_debug("v_esp=%08x\r\n", v_esp);
+	        printk_debug("v_esp=%08x\n", v_esp);
 #else
-	        print_debug("v_esp="); print_debug_hex32(v_esp); print_debug("\r\n");
+	        print_debug("v_esp="); print_debug_hex32(v_esp); print_debug("\n");
 #endif
         }
 
@@ -205,9 +205,9 @@
 cpu_reset_x:
 
 #if CONFIG_USE_INIT
-        printk_debug("cpu_reset = %08x\r\n",cpu_reset);
+        printk_debug("cpu_reset = %08x\n",cpu_reset);
 #else
-        print_debug("cpu_reset = "); print_debug_hex32(cpu_reset); print_debug("\r\n");
+        print_debug("cpu_reset = "); print_debug_hex32(cpu_reset); print_debug("\n");
 #endif
 
 	if(cpu_reset == 0) {
@@ -248,15 +248,15 @@
 
                 /* We can not go back any more, we lost old stack data in cache as ram*/
                 if(new_cpu_reset==0) {
-                        print_debug("Use Ram as Stack now - done\r\n");
+                        print_debug("Use Ram as Stack now - done\n");
                 } else
                 {  
-                        print_debug("Use Ram as Stack now - \r\n");
+                        print_debug("Use Ram as Stack now - \n");
                 }
 #if CONFIG_USE_INIT
-                printk_debug("new_cpu_reset = %08x\r\n", new_cpu_reset);
+                printk_debug("new_cpu_reset = %08x\n", new_cpu_reset);
 #else
-                print_debug("new_cpu_reset = "); print_debug_hex32(new_cpu_reset); print_debug("\r\n");
+                print_debug("new_cpu_reset = "); print_debug_hex32(new_cpu_reset); print_debug("\n");
 #endif
 	
 		/*copy and execute coreboot_ram */
@@ -266,6 +266,6 @@
 #endif
 
 
-	print_debug("should not be here -\r\n");
+	print_debug("should not be here -\n");
 
 }
Index: src/mainboard/tyan/s2880/auto.c
===================================================================
--- src/mainboard/tyan/s2880/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2880/auto.c	(working copy)
@@ -166,7 +166,7 @@
 
         needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 	
Index: src/mainboard/tyan/s2880/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2880/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2880/cache_as_ram_auto.c	(working copy)
@@ -199,7 +199,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2881/auto.c
===================================================================
--- src/mainboard/tyan/s2881/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2881/auto.c	(working copy)
@@ -167,7 +167,7 @@
         // automatically set that for you, but you might meet tight space
         needs_reset |= ht_setup_chains_x();
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 	
Index: src/mainboard/tyan/s2881/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2881/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2881/cache_as_ram_auto.c	(working copy)
@@ -213,7 +213,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s4880/auto.c
===================================================================
--- src/mainboard/tyan/s4880/auto.c	(revision 3942)
+++ src/mainboard/tyan/s4880/auto.c	(working copy)
@@ -218,7 +218,7 @@
         needs_reset |= ht_setup_chains_x();
 	
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 	
Index: src/mainboard/tyan/s4880/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s4880/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s4880/cache_as_ram_auto.c	(working copy)
@@ -71,11 +71,11 @@
 {
 #define SMBUS_HUB 0x18
         int ret;
-        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\r\n"); 
+        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\n"); 
         ret = smbus_write_byte(SMBUS_HUB, 0x01, device);
-        print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\r\n");
+        print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\n");
         ret = smbus_write_byte(SMBUS_HUB, 0x03, 0);
-        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\r\n");
+        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\n");
 }
 #endif
 
@@ -248,7 +248,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2891/auto.c
===================================================================
--- src/mainboard/tyan/s2891/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2891/auto.c	(working copy)
@@ -139,7 +139,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/tyan/s2891/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2891/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2891/cache_as_ram_auto.c	(working copy)
@@ -224,7 +224,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 	//	soft_reset();
 	}
 
Index: src/mainboard/tyan/s2882/auto.c
===================================================================
--- src/mainboard/tyan/s2882/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2882/auto.c	(working copy)
@@ -171,7 +171,7 @@
         needs_reset = setup_coherent_ht_domain();
         needs_reset |= ht_setup_chains_x();
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }	
 	enable_smbus();
Index: src/mainboard/tyan/s2882/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2882/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2882/cache_as_ram_auto.c	(working copy)
@@ -202,7 +202,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2892/auto.c
===================================================================
--- src/mainboard/tyan/s2892/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2892/auto.c	(working copy)
@@ -141,7 +141,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/tyan/s2892/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2892/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2892/cache_as_ram_auto.c	(working copy)
@@ -218,7 +218,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/tyan/s4882/auto.c
===================================================================
--- src/mainboard/tyan/s4882/auto.c	(revision 3942)
+++ src/mainboard/tyan/s4882/auto.c	(working copy)
@@ -221,7 +221,7 @@
 
         needs_reset |= ht_setup_chains_x();
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 	
Index: src/mainboard/tyan/s4882/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s4882/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s4882/cache_as_ram_auto.c	(working copy)
@@ -76,14 +76,14 @@
 {
 #define SMBUS_HUB 0x18
         int ret, i;
-        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\r\n"); 
+        print_debug("change_i2c_mux i="); print_debug_hex8(device); print_debug("\n"); 
         i=2;
         do {
                 ret = smbus_write_byte(SMBUS_HUB, 0x01, device);
-                print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\r\n");
+                print_debug("change_i2c_mux 1 ret="); print_debug_hex32(ret); print_debug("\n");
         } while ((ret!=0) && (i-->0));
         ret = smbus_write_byte(SMBUS_HUB, 0x03, 0);
-        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\r\n");
+        print_debug("change_i2c_mux 2 ret="); print_debug_hex32(ret); print_debug("\n");
 }
 #endif
 
@@ -231,7 +231,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2875/auto.c
===================================================================
--- src/mainboard/tyan/s2875/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2875/auto.c	(working copy)
@@ -162,7 +162,7 @@
 
         needs_reset |= ht_setup_chain(PCI_DEV(0, 0x18, 0), 0x80);
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 
Index: src/mainboard/tyan/s2875/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2875/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2875/cache_as_ram_auto.c	(working copy)
@@ -197,7 +197,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2885/auto.c
===================================================================
--- src/mainboard/tyan/s2885/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2885/auto.c	(working copy)
@@ -173,7 +173,7 @@
         needs_reset |= ht_setup_chains_x();
 
         if (needs_reset) {
-                print_info("ht reset -\r\n");
+                print_info("ht reset -\n");
                 soft_reset();
         }
 
Index: src/mainboard/tyan/s2885/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2885/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2885/cache_as_ram_auto.c	(working copy)
@@ -215,7 +215,7 @@
         needs_reset |= ht_setup_chains_x();
 
        	if (needs_reset) {
-               	print_info("ht reset -\r\n");
+               	print_info("ht reset -\n");
                	soft_reset();
        	}
 
Index: src/mainboard/tyan/s2895/auto.c
===================================================================
--- src/mainboard/tyan/s2895/auto.c	(revision 3942)
+++ src/mainboard/tyan/s2895/auto.c	(working copy)
@@ -166,7 +166,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
Index: src/mainboard/tyan/s2895/cache_as_ram_auto.c
===================================================================
--- src/mainboard/tyan/s2895/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2895/cache_as_ram_auto.c	(working copy)
@@ -280,7 +280,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 	//	soft_reset();
 	}
 
Index: src/mainboard/tyan/s2912_fam10/apc_auto.c
===================================================================
--- src/mainboard/tyan/s2912_fam10/apc_auto.c	(revision 3942)
+++ src/mainboard/tyan/s2912_fam10/apc_auto.c	(working copy)
@@ -83,7 +83,7 @@
 	id = get_node_core_id_x();
 
 	//FIXME: for USBDEBUG_DIRECT you need to make sure dbg_info get assigned in AP
-	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\r\n");
+	print_debug("CODE IN CACHE ON NODE:"); print_debug_hex8(id.nodeid); print_debug("\n");
 
 	train_ram(id.nodeid, sysinfo, sysinfox);
 
Index: src/mainboard/lippert/frontrunner/auto.c
===================================================================
--- src/mainboard/lippert/frontrunner/auto.c	(revision 3942)
+++ src/mainboard/lippert/frontrunner/auto.c	(working copy)
@@ -26,7 +26,7 @@
 	msr_t msr;
 	/* 1. Initialize GLMC registers base on SPD values,
 	 * Hard coded as XpressROM for now */
-	//print_debug("sdram_enable step 1\r\n");
+	//print_debug("sdram_enable step 1\n");
 	msr = rdmsr(0x20000018);
 	msr.hi = 0x10076013;
 	msr.lo = 0x3400;
Index: src/mainboard/lippert/spacerunner-lx/cache_as_ram_auto.c
===================================================================
--- src/mainboard/lippert/spacerunner-lx/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/lippert/spacerunner-lx/cache_as_ram_auto.c	(working copy)
@@ -93,7 +93,7 @@
 	if (address >= sizeof(spdbytes) || spdbytes[address] == 0xFF) {
 		print_err("ERROR: spd_read_byte(DIMM0, 0x");
 		print_err_hex8(address);
-		print_err(") returns 0xff\r\n");
+		print_err(") returns 0xff\n");
 	}
 #endif
 
@@ -224,7 +224,7 @@
 	if ((err = smc_send_config(SMC_CONFIG))) {
 		print_err("ERROR ");
 		print_err_char('0'+err);
-		print_err(" sending config data to SMC\r\n");
+		print_err(" sending config data to SMC\n");
 	}
 
 	sdram_initialize(1, memctrl);
Index: src/mainboard/via/epia-m/auto.c
===================================================================
--- src/mainboard/via/epia-m/auto.c	(revision 3942)
+++ src/mainboard/via/epia-m/auto.c	(working copy)
@@ -114,7 +114,7 @@
 
 	enable_smbus();
 
-	print_spew("In auto.c:main()\r\n");
+	print_spew("In auto.c:main()\n");
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
@@ -123,10 +123,10 @@
 
 	outb(5, 0x80);	
 
-	print_debug(" Enabling mainboard devices\r\n");
+	print_debug(" Enabling mainboard devices\n");
 	enable_mainboard_devices();
 
-	print_debug(" Enabling shadow ram\r\n");
+	print_debug(" Enabling shadow ram\n");
 	enable_shadow_ram();
 
 	ddr_ram_setup((const struct mem_controller *)0);
@@ -153,11 +153,11 @@
 #endif
 
 	if (bist == 0) {
-		print_debug(" Doing MTRR init.\r\n");
+		print_debug(" Doing MTRR init.\n");
 		early_mtrr_init();
 	}
 
 	//dump_pci_devices();
 	
-	print_spew("Leaving auto.c:main()\r\n");
+	print_spew("Leaving auto.c:main()\n");
 }
Index: src/mainboard/via/epia-cn/auto.c
===================================================================
--- src/mainboard/via/epia-cn/auto.c	(revision 3942)
+++ src/mainboard/via/epia-cn/auto.c	(working copy)
@@ -100,25 +100,25 @@
 	uart_init();
 	console_init();
 
-	print_spew("In auto.c:main()\r\n");
+	print_spew("In auto.c:main()\n");
 
 	enable_smbus();
 	smbus_fixup(&ctrl);
 
 	if (bist == 0) {
-		print_debug("doing early_mtrr\r\n");
+		print_debug("doing early_mtrr\n");
 		early_mtrr_init();
 	}
 
 	/* Halt if there was a built-in self test failure. */
 	report_bist_failure(bist);
 
-	print_debug("Enabling mainboard devices\r\n");
+	print_debug("Enabling mainboard devices\n");
 	enable_mainboard_devices();
 
 	ddr_ram_setup(&ctrl);
 
 	/* ram_check(0, 640 * 1024); */
 
-	print_spew("Leaving auto.c:main()\r\n");
+	print_spew("Leaving auto.c:main()\n");
 }
Index: src/mainboard/dell/s1850/watchdog.c
===================================================================
--- src/mainboard/dell/s1850/watchdog.c	(revision 3942)
+++ src/mainboard/dell/s1850/watchdog.c	(working copy)
@@ -52,6 +52,6 @@
 {
 //	disable_sio_watchdog(NSC_WD_DEV);
 	disable_ich5_watchdog();
-	print_debug("Watchdogs disabled\r\n");
+	print_debug("Watchdogs disabled\n");
 }
 
Index: src/mainboard/dell/s1850/debug.c
===================================================================
--- src/mainboard/dell/s1850/debug.c	(revision 3942)
+++ src/mainboard/dell/s1850/debug.c	(working copy)
@@ -12,7 +12,7 @@
 	print_debug_hex8(index);
 	print_debug(": 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
         return;
 }
         
@@ -49,52 +49,52 @@
         int i;
         unsigned char data;
        
-	 print_debug("\r\n*** SERVER I/O REGISTERS ***\r\n");
+	 print_debug("\n*** SERVER I/O REGISTERS ***\n");
         for (i=0x10; i<=0x2d; i++) {
                 print_reg((unsigned char)i);
         }
 #if 0                                                                         
-        print_debug("\r\n*** XBUS REGISTERS ***\r\n");
+        print_debug("\n*** XBUS REGISTERS ***\n");
         setup_func(0x0f);
         for (i=0xf0; i<=0xff; i++) {
                 print_reg((unsigned char)i);
         }
                                                                                 
-        print_debug("\r\n***  SERIAL 1 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 1 CONFIG REGISTERS ***\n");
         setup_func(0x03);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  SERIAL 2 CONFIG REGISTERS ***\r\n");
+        print_debug("\n***  SERIAL 2 CONFIG REGISTERS ***\n");
         setup_func(0x02);
         print_reg(0xf0);
 
 #endif
-        print_debug("\r\n***  GPIO REGISTERS ***\r\n");
+        print_debug("\n***  GPIO REGISTERS ***\n");
         setup_func(0x07);
         for (i=0xf0; i<=0xf8; i++) {
                 print_reg((unsigned char)i);
         }
-        print_debug("\r\n***  GPIO VALUES ***\r\n");
+        print_debug("\n***  GPIO VALUES ***\n");
         data = inb(0x68a);
-	print_debug("\r\nGPDO 4: 0x");
+	print_debug("\nGPDO 4: 0x");
 	print_debug_hex8(data);
         data = inb(0x68b);
-	print_debug("\r\nGPDI 4: 0x");
+	print_debug("\nGPDI 4: 0x");
 	print_debug_hex8(data);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 #if 0                                                                                
                                                                                 
-        print_debug("\r\n***  WATCHDOG TIMER REGISTERS ***\r\n");
+        print_debug("\n***  WATCHDOG TIMER REGISTERS ***\n");
         setup_func(0x0a);
         print_reg(0xf0);
                                                                                 
-        print_debug("\r\n***  FAN CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  FAN CONTROL REGISTERS ***\n");
         setup_func(0x09);
         print_reg(0xf0);
         print_reg(0xf1);
 
-        print_debug("\r\n***  RTC REGISTERS ***\r\n");
+        print_debug("\n***  RTC REGISTERS ***\n");
         setup_func(0x10);
         print_reg(0xf0);
         print_reg(0xf1);
@@ -104,7 +104,7 @@
         print_reg(0xfe);
         print_reg(0xff);
                                                                                 
-        print_debug("\r\n***  HEALTH MONITORING & CONTROL REGISTERS ***\r\n");
+        print_debug("\n***  HEALTH MONITORING & CONTROL REGISTERS ***\n");
         setup_func(0x14);
         print_reg(0xf0);
 #endif                                                                           
@@ -135,7 +135,7 @@
 			continue;
 		}
 		print_debug_pci_dev(dev);
-		print_debug("\r\n");
+		print_debug("\n");
 	}
 }
 
@@ -143,7 +143,7 @@
 {
 	int i;
 	print_debug_pci_dev(dev);
-	print_debug("\r\n");
+	print_debug("\n");
 	
 	for(i = 0; i <= 255; i++) {
 		unsigned char val;
@@ -155,7 +155,7 @@
 		print_debug_char(' ');
 		print_debug_hex8(val);
 		if ((i & 0x0f) == 0x0f) {
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -165,7 +165,7 @@
 	int i;
 	unsigned long bar;
 	
-	print_debug("BAR 14 Dump\r\n");
+	print_debug("BAR 14 Dump\n");
 	
 	bar = pci_read_config32(dev, 0x14);
 	for(i = 0; i <= 0x300; i+=4) {
@@ -178,14 +178,14 @@
 		val = pci_read_config8(dev, i);
 #endif		
 		if((i%4)==0) {
-		print_debug("\r\n");
+		print_debug("\n");
 		print_debug_hex16(i);
 		print_debug_char(' ');
 		}
 		print_debug_hex32(read32(bar + i));
 		print_debug_char(' ');
 	}
-	print_debug("\r\n");
+	print_debug("\n");
 }
 
 static void dump_pci_devices(void)
@@ -209,7 +209,7 @@
 static void dump_spd_registers(const struct mem_controller *ctrl)
 {
 	int i;
-	print_debug("\r\n");
+	print_debug("\n");
 	for(i = 0; i < 4; i++) {
 		unsigned device;
 		device = ctrl->channel0[i];
@@ -223,20 +223,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 		device = ctrl->channel1[i];
 		if (device) {
@@ -249,20 +249,20 @@
 				int status;
 				unsigned char byte;
 				if ((j & 0xf) == 0) {
-					print_debug("\r\n");
+					print_debug("\n");
 					print_debug_hex8(j);
 					print_debug(": ");
 				}
 				status = smbus_read_byte(device, j);
 				if (status < 0) {
-					print_debug("bad device\r\n");
+					print_debug("bad device\n");
 					break;
 				}
 				byte = status & 0xff;
 				print_debug_hex8(byte);
 				print_debug_char(' ');
 			}
-			print_debug("\r\n");
+			print_debug("\n");
 		}
 	}
 }
@@ -275,14 +275,14 @@
         while(device <= SMBUS_MEM_DEVICE_END) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("dimm ");
 		print_debug_hex8(device);
 		
                 for(i = 0; (i < 256) ; i++) {
 	                unsigned char byte;
                         if ((i % 16) == 0) {
-				print_debug("\r\n");
+				print_debug("\n");
 				print_debug_hex8(i);
 				print_debug(": ");
                         }
@@ -290,7 +290,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
@@ -308,7 +308,7 @@
         while(device <= 0x42) {
                 int status = 0;
                 int i;
-        	print_debug("\r\n");
+        	print_debug("\n");
                 print_debug("ipmi ");
 		print_debug_hex8(device);
 		
@@ -318,7 +318,7 @@
                         if (status < 0) {
 			         print_debug("bad device: ");
 				 print_debug_hex8(-status);
-				 print_debug("\r\n");
+				 print_debug("\n");
 			         break; 
 			}
 			print_debug_hex8(status);
Index: src/mainboard/msi/ms7135/cache_as_ram_auto.c
===================================================================
--- src/mainboard/msi/ms7135/cache_as_ram_auto.c	(revision 3942)
+++ src/mainboard/msi/ms7135/cache_as_ram_auto.c	(working copy)
@@ -246,7 +246,7 @@
 	needs_reset |= ck804_early_setup_x();
 
 	if (needs_reset) {
-		print_info("ht reset -\r\n");
+		print_info("ht reset -\n");
 		soft_reset();
 	}
 
